package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.PerAppVPN;

import java.util.List;

@ApiModel(value = "PerAppVPNBeanWrapper",
        description = "This class represents the information of PerAppVPN.")
public class PerAppVPNBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of Device Ids to be execute PerAPPVPN.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "PerAppVPN.", required = true)
    private PerAppVPN operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public PerAppVPN getOperation() {
        return operation;
    }

    public void setOperation(PerAppVPN operation) {
        this.operation = operation;
    }
}
